import PropTypes from 'prop-types';
import React, { ReactNode } from 'react';
export interface HighlighterProps {
    children: string;
    highlightClassName: string;
    search: string;
}
/**
 * Stripped-down version of https://github.com/helior/react-highlighter
 *
 * Results are already filtered by the time the component is used internally so
 * we can safely ignore case and diacritical marks for the purposes of matching.
 */
declare class Highlighter extends React.PureComponent<HighlighterProps> {
    static propTypes: {
        children: PropTypes.Validator<string>;
        highlightClassName: PropTypes.Requireable<string>;
        search: PropTypes.Validator<string>;
    };
    static defaultProps: {
        highlightClassName: string;
    };
    render(): ReactNode;
}
export default Highlighter;
